{% extends "base.html" %}
{% block title %}list coachs{% endblock %}

<html lang="es-cl">
 
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">


  
{% block extra_css %}
<style>
    .color_update_coach {
        color: #F3EC11;
        font-size: 22px;
    }
    .color_delete_coach {
        color: #F51809;
        font-size: 22px;
    }
</style>
{% endblock %}

{% block content %}
{% if messages %}
    {% for message in messages %}
    <div class="alert {{ message.tags }} alert.dismissible fade show" role="alert">
        {{ message }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hiddem="true">&times;</span>             
        </button>
    </div> 

    </ul>
    {% endfor%}
  {% endif %}

     <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{% url 'basket:home' %}"><i class="fas fa-home"></i></a></li>     
        <li class="breadcrumb-item active" aria-current="page">Coach</li>
        </ol>
    </nav>  
  
     <head>

        <div class="container">

        <div class="row mt-3">
            <div class="col-md-9 col-lg-10">
                <h3> LIST COACHS </h3>    
            </div>
            <div class="col-md-3 col-lg-2"> 
                {% if perms.basket.add_coach %}
                <a href="{% url 'basket:create_coach' %}" class="btn btn-success btn-block mt-3"><i class="fas fa-plus-square"></i>  Create Coach</a> 
                {% endif %}

                {% if perms.basket.is_reporter %}
                <a href="#" class="btn btn-primary btn-block mt-3"><i class="fas fa-chart-pie"></i> See Report</a> 
                {% endif %}


            </div>
        </div>
    </head>


    <body>  
        <!--    <div class="col-10"> -->
        <table class="table table-hover mt-3">
        <tr>
        <thead class="thead-dark">
            <th style="color: white">Coachs</th>
            <th style="color: white">Action</th>
        </thead>
            </div>
                <tr>
                {% for coach in coachs %}
                <tr>
                    <td>{{coach.name}} (<strong>{{coach.team.name}}</strong>)</td>
                    <td>
                    {% if perms.basket.change_coach %}
                    <a href="{% url 'basket:update_coach' coach.id %}"><i class="fas fa-edit color_update_coach"></i></a> |
                    {% endif %}
                    {% if perms.basket.delete_coach %}
                    <a href="{% url 'basket:delete_coach' coach.id %}"><i class="fas fa-trash-alt color_delete_coach"></i></a>
                    {% endif %}
                    </td>
                </tr>
                {% endfor %}
                </tr>



                

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
  </body>
</html>
{% endblock %}